Bug 197322 - [MAINTAINER] x11/deforaos-panel : Update to 0.3.1
Summary: [MAINTAINER] x11/deforaos-panel : Update to 0.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-04 16:52 UTC by olivier
Modified: 2015-02-22 23:19 UTC (History)
1 user (show)

See Also:


Attachments
Patch for deforaos-panel port update (2.79 KB, patch)
2015-02-04 16:52 UTC, olivier
no flags Details | Diff
poudriere testport log file (82.72 KB, text/plain)
2015-02-04 16:53 UTC, olivier
no flags Details
patch for updating the port (5.17 KB, patch)
2015-02-05 17:08 UTC, olivier
no flags Details | Diff
poudriere testport log file (92.96 KB, text/plain)
2015-02-05 17:09 UTC, olivier
no flags Details
patch for updating the port (5.20 KB, patch)
2015-02-06 21:06 UTC, olivier
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2015-02-04 16:52:42 UTC
Created attachment 152552 [details]
Patch for deforaos-panel port update

Here is a maintainer port update of deforaos-panel.
Comment 1 olivier 2015-02-04 16:53:10 UTC
Created attachment 152553 [details]
poudriere testport log file
Comment 2 olivier 2015-02-05 17:08:32 UTC
Created attachment 152594 [details]
patch for updating the port

Updating the port: Should be cleaner
Comment 3 olivier 2015-02-05 17:09:02 UTC
Created attachment 152595 [details]
poudriere testport log file
Comment 4 John Marino freebsd_committer 2015-02-06 15:13:29 UTC
what about this warning?

====> Running Q/A tests (stage-qa)
Warning: you may not need USES=desktop-file-utils
Comment 5 olivier 2015-02-06 16:27:46 UTC
(In reply to John Marino from comment #4)

I don't understand why "poudriere testport" complains about not using "desktop-file-utils" because this port includes somes of them:
- share/applications/deforaos-panel-settings.desktop
- share/applications/deforaos-wifibrowser.desktop

And do you confirm that "desktop-file-utils" is needed when port include .desktop files ?
Comment 6 John Marino freebsd_committer 2015-02-06 16:41:18 UTC
search /usr/ports/Mk/Scripts/qa.sh

It seems to say if desktop-file-utils is specified and those .desktop files exist, then to spew that message.

it sounds like those .desktop files would be there even if USES= isn't set, which means it is not needed (i guess).
Comment 7 olivier 2015-02-06 21:06:30 UTC
Created attachment 152641 [details]
patch for updating the port

Make QA test happy by removing USES=desktop-file-utils.
Comment 8 John Marino freebsd_committer 2015-02-06 21:18:33 UTC
thanks, I'm promoting the PR.
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2015-02-22 23:15:49 UTC
Take
Comment 10 commit-hook freebsd_committer 2015-02-22 23:19:01 UTC
A commit references this bug:

Author: rm
Date: Sun Feb 22 23:18:27 UTC 2015
New revision: 379634
URL: https://svnweb.freebsd.org/changeset/ports/379634

Log:
  x11/deforaos-panel: update to 0.3.1

  PR:		197322
  Submitted by:	olivier@cochard.me (maintainer)
  Reviewed by:	marino

Changes:
  head/x11/deforaos-panel/Makefile
  head/x11/deforaos-panel/distinfo
  head/x11/deforaos-panel/files/
  head/x11/deforaos-panel/pkg-plist
Comment 11 Ruslan Makhmatkhanov freebsd_committer 2015-02-22 23:19:56 UTC
Committed, thank you.